package cn.com.oa.service;

import cn.com.oa.model.AttendanceRecordResult;
import cn.com.oa.model.vo.AttendanceRecordResultVo;
import cn.com.oa.model.vo.DeptAttendanceRecordVo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 */
public interface IAttendanceRecordResultService extends IService<AttendanceRecordResult> {

    Map<String, Object> getResultMonth();

    List<DeptAttendanceRecordVo> getResultDayGroupByDept();

    AttendanceRecordResultVo getResultDay();
}
